Post Login

Post Login
Creates a session

This API creates a login session. It returns the bearer token that must be used as a Authorization header parameter for all subsequent Usage Meter operations.

Request
URI
POST
https://umip/api/v1/login
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Login successful

Returns PostLoginResponse of type(s) application/json
{
    "accessToken": {
        "tokenValue": "string",
        "issuedAt": "string",
        "expiresAt": "string",
        "tokenType": {
            "value": "string"
        },
        "scopes": [
            "string"
        ]
    },
    "refreshToken": "string",
    "additionalParameters": {}
}
object
accessToken
Optional

accessToken

string As nullable As nullable
refreshToken
Optional

refreshToken

object
additionalParameters
Optional

additionalParameters


400

Invalid data for one or more fields in the request

Returns 400InvalidRequest of type(s) application/json
{
    "errCode": "GW_REQ_KEY",
    "errMessage": "Not found expected value for key 'sampleKey'"
}
string
errCode
Optional

errCode

string
errMessage
Optional

errMessage


401

Provided access token is missing or invalid.

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' https://{api_host}/api/v1/login